import { ComponentTextStyle, InlineTextStyle } from "../../styles/text-styles";
import { LinkAddition } from "../link-addition";
import { ComponentBase } from "../component-base";
import { ConditionalText } from "./conditional-text";
export declare type TextComponentFormat = "markdown" | "html" | "none";
export declare type TextComponentRole = "body" | "title" | "heading" | "heading1" | "heading2" | "heading3" | "heading4" | "heading5" | "heading6" | "article_title" | "intro" | "caption" | "author" | "byline" | "illustrator" | "photographer" | "quote" | "pullquote";
export interface TextComponent extends ComponentBase {
    role: TextComponentRole;
    format?: TextComponentFormat;
    text: string;
    additions?: LinkAddition[];
    conditional?: ConditionalText | ConditionalText[];
    inlineTextStyles?: InlineTextStyle[];
    textStyle?: ComponentTextStyle | string;
}
