import * as ArticleLayout from "./article-layout";
import * as Components from "./components";
import * as Metadata from "./metadata";
import * as Primitives from "./primitives";
import * as Styles from "./styles";
import { AdvertisementAutoPlacement as RootAdvertisementAutoPlacement } from "./advertisement-auto-placement";
import { ArticleDocument as RootArticleDocument } from "./article-document";
import { AutoPlacement as RootAutoPlacement } from "./auto-placement";
import { AnyComponent as RootAnyComponent } from "./components/any-component";
import { ConditionalAutoPlacement as RootConditionalAutoPlacement } from "./conditional-auto-placement";
import { ConditionalDocumentStyle as RootConditionalDocumentStyle, DocumentStyle as RootDocumentStyle } from "./document-style";
export declare namespace AppleNews {
    type AdvertisementAutoPlacement = RootAdvertisementAutoPlacement;
    type ArticleDocument = RootArticleDocument;
    type AutoPlacement = RootAutoPlacement;
    type ConditionalAutoPlacement = RootConditionalAutoPlacement;
    type DocumentStyle = RootDocumentStyle;
    type ConditionalDocumentStyle = RootConditionalDocumentStyle;
    type AnyComponent = RootAnyComponent;
    type Anchor = ArticleLayout.Anchor;
    type AutoPlacementLayout = ArticleLayout.AutoPlacementLayout;
    type ComponentLayout = ArticleLayout.ComponentLayout;
    type ConditionalComponentLayout = ArticleLayout.ConditionalComponentLayout;
    type Layout = ArticleLayout.Layout;
    type Addition = Components.Addition;
    type LinkAddition = Components.LinkAddition;
    type Behavior = Components.Behavior;
    type ComponentAnimation = Components.ComponentAnimations.ComponentAnimation;
    type AppearAnimation = Components.ComponentAnimations.AppearAnimation;
    type FadeInAnimation = Components.ComponentAnimations.FadeInAnimation;
    type MoveInAnimation = Components.ComponentAnimations.MoveInAnimation;
    type ScaleFadeAnimation = Components.ComponentAnimations.ScaleFadeAnimation;
    type ComponentLink = Components.ComponentLink;
    type Component = Components.Component;
    type Scene = Components.Scenes.Scene;
    type FadingStickyHeader = Components.Scenes.FadingStickyHeader;
    type ParallaxScaleHeader = Components.Scenes.ParallaxScaleHeader;
    type ReplicaAdvertisement = Components.Advertisements.ReplicaAdvertisement;
    type ArticleLink = Components.ArticleStructure.ArticleLink;
    type Aside = Components.ArticleStructure.Aside;
    type Chapter = Components.ArticleStructure.Chapter;
    type CollectionDisplay = Components.ArticleStructure.CollectionDisplay;
    type ConditionalContainer = Components.ArticleStructure.ConditionalContainer;
    type Container = Components.ArticleStructure.Container;
    type Divider = Components.ArticleStructure.Divider;
    type FlexibleSpacer = Components.ArticleStructure.FlexibleSpacer;
    type Header = Components.ArticleStructure.Header;
    type HorizontalStackDisplay = Components.ArticleStructure.HorizontalStackDisplay;
    type LinkButton = Components.ArticleStructure.LinkButton;
    type Section = Components.ArticleStructure.Section;
    type Audio = Components.AudioAndVideo.Audio;
    type EmbedWebVideo = Components.AudioAndVideo.EmbedWebVideo;
    type Music = Components.AudioAndVideo.Music;
    type Video = Components.AudioAndVideo.Video;
    type ARKit = Components.AugmentedReality.ARKit;
    type GalleryItem = Components.GalleriesAndMosaics.GalleryItem;
    type Gallery = Components.GalleriesAndMosaics.Gallery;
    type Mosaic = Components.GalleriesAndMosaics.Mosaic;
    type ArticleThumbnail = Components.Images.ArticleThumbnail;
    type CaptionDescriptor = Components.Images.CaptionDescriptor;
    type Figure = Components.Images.Figure;
    type Image = Components.Images.Image;
    type Logo = Components.Images.Logo;
    type Photo = Components.Images.Photo;
    type Portrait = Components.Images.Portrait;
    type MapItem = Components.Location.MapItem;
    type MapSpan = Components.Location.MapSpan;
    type Map = Components.Location.Map;
    type Place = Components.Location.Place;
    type Instagram = Components.SocialMedia.SocialMediaComponent;
    type Facebook = Components.SocialMedia.SocialMediaComponent;
    type Tweet = Components.SocialMedia.SocialMediaComponent;
    type DataDescriptor = Components.Tables.DataDescriptor;
    type DataFormat = Components.Tables.DataFormat;
    type DataTableSorting = Components.Tables.DataTableSorting;
    type DataTable = Components.Tables.DataTable;
    type FormattedText = Components.Tables.FormattedText;
    type HTMLTable = Components.Tables.HTMLTable;
    type HTMLTableData = Components.Tables.HTMLTableData;
    type RecordStore = Components.Tables.RecordStore;
    type ArticleTitle = Components.Text.ArticleTitle;
    type Author = Components.Text.Author;
    type Body = Components.Text.Body;
    type Byline = Components.Text.Byline;
    type Caption = Components.Text.Caption;
    type ConditionalText = Components.Text.ConditionalText;
    type Heading = Components.Text.Heading;
    type Illustrator = Components.Text.Illustrator;
    type Intro = Components.Text.Intro;
    type Photographer = Components.Text.Photographer;
    type PullQuote = Components.Text.PullQuote;
    type Quote = Components.Text.Quote;
    type Title = Components.Text.Title;
    type CampaignData = Metadata.CampaignData;
    type Issue = Metadata.Issue;
    type LinkedArticle = Metadata.LinkedArticle;
    type Metadata = Metadata.Metadata;
    type VerticalAlignment = Primitives.VerticalAlignment;
    type HorizontalAlignment = Primitives.HorizontalAlignment;
    type Color = Primitives.Color;
    type Condition = Primitives.Condition;
    type ComponentShadowOffset = Primitives.ComponentShadowOffset;
    type DateTime = Primitives.DateTime;
    type IdentifierURI = Primitives.IdentifierURI;
    type Margin = Primitives.Margin;
    type Padding = Primitives.Padding;
    type TextShadowOffset = Primitives.TextShadowOffset;
    type StrokeStyle = Primitives.StrokeStyle;
    type SupportedUnits = Primitives.SupportedUnits;
    type FontStyle = Primitives.FontStyle;
    type FontWeight = Primitives.FontWeight;
    type FontWidth = Primitives.FontWidth;
    type FontFamily = Primitives.FontFamily;
    type TextDecoration = Primitives.TextDecoration;
    type TextTransform = Primitives.TextTransform;
    type TextVerticalAlignment = Primitives.TextVerticalAlignment;
    type Border = Styles.ComponentStyles.Border;
    type ColorStrop = Styles.ComponentStyles.ColorStop;
    type ComponentShadow = Styles.ComponentStyles.ComponentShadow;
    type ComponentStyle = Styles.ComponentStyles.ComponentStyle;
    type ConditionalComponentStyle = Styles.ComponentStyles.ConditionalComponentStyle;
    type ConditionalTableCellStyle = Styles.ComponentStyles.ConditionalTableCellStyle;
    type ConditionalTableColumnStyle = Styles.ComponentStyles.ConditionalTableColumnStyle;
    type ConditionalTableRowStyle = Styles.ComponentStyles.ConditionalTableRowStyle;
    type CornerMask = Styles.ComponentStyles.CornerMask;
    type Fill = Styles.ComponentStyles.Fill;
    type GradientFill = Styles.ComponentStyles.GradientFill;
    type ImageFill = Styles.ComponentStyles.ImageFill;
    type TableBorder = Styles.ComponentStyles.TableBorder;
    type TableCellSelector = Styles.ComponentStyles.TableCellSelector;
    type TableCellStyle = Styles.ComponentStyles.TableCellStyle;
    type TableColumnSelector = Styles.ComponentStyles.TableColumnSelector;
    type TableColumnStyle = Styles.ComponentStyles.TableColumnStyle;
    type TableRowSelector = Styles.ComponentStyles.TableRowSelector;
    type TableRowStyle = Styles.ComponentStyles.TableRowStyle;
    type TableStrokeStyle = Styles.ComponentStyles.TableStrokeStyle;
    type TableStyle = Styles.ComponentStyles.TableRowStyle;
    type VideoFill = Styles.ComponentStyles.VideoFill;
    type ComponentTextStyle = Styles.TextStyles.ComponentTextStyle;
    type ConditionalComponentTextStyle = Styles.TextStyles.ConditionalComponentTextStyle;
    type ConditionalTextStyle = Styles.TextStyles.ConditionalTextStyle;
    type DropCapStyle = Styles.TextStyles.DropCapStyle;
    type InlineTextStyle = Styles.TextStyles.InlineTextStyle;
    type ListItemStyle = Styles.TextStyles.ListItemStyle;
    type TextShadow = Styles.TextStyles.TextShadow;
    type TextStrokeStyle = Styles.TextStyles.TextStrokeStyle;
    type TextStyle = Styles.TextStyles.TextStyle;
}
export default AppleNews;
