export declare type ConditionSizeClass = "any" | "regular" | "compact";
export declare type ConditionContentSizeCategory = "XS" | "S" | "M" | "L" | "XL" | "XXL" | "XXXL" | "AX-M" | "AX-L" | "AX-XL" | "AX-XXL" | "AX-XXXL";
export declare type ConditionPlatform = "any" | "ios" | "macos";
export declare type ConditionSubscriptionStatus = "bundle" | "subscribed";
export declare type ConditionViewLocation = "any" | "article" | "issue_table_of_contents" | "issue";
export declare type ConditionPreferredColorScheme = "any" | "light" | "dark";
export declare type ConditionTerritory = "AU" | "CA" | "GB" | "US";
export interface Condition {
    horizontalSizeClass?: ConditionSizeClass;
    maxColumns?: number;
    maxContentSizeCategory?: ConditionContentSizeCategory;
    maxSpecVersion?: string;
    maxViewportAspectRatio?: number;
    maxViewportWidth?: number;
    minColumns?: number;
    minContentSizeCategory?: ConditionContentSizeCategory;
    minSpecVersion?: string;
    minViewportAspectRatio?: number;
    minViewportWidth?: number;
    platform?: ConditionPlatform;
    preferredColorScheme?: ConditionPreferredColorScheme;
    subscriptionStatus?: ConditionSubscriptionStatus;
    territory?: ConditionTerritory;
    verticalSizeClass?: ConditionSizeClass;
    viewLocation?: ConditionViewLocation;
}
