"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.URI = exports.SupportedFileExtensions = void 0;
exports.SupportedFileExtensions = [
    "png",
    "jpg",
    "jpeg",
    "webp",
    "gif",
    "alac",
    "heac",
    "m3u8",
    "mov",
    "aac",
    "mp3",
    "mp4",
    "ac3",
    "usdz",
];
var URI = function (s) {
    var isInvalidFileType = function (ext) { return ext && !exports.SupportedFileExtensions.includes(ext); };
    try {
        var deconstructedUrl = new URL(s);
        var extension = void 0;
        if (deconstructedUrl.protocol === "bundle:") {
            extension = deconstructedUrl.hostname.split(".")[1];
            if (isInvalidFileType(extension)) {
                return;
            }
        }
        else {
            extension = deconstructedUrl.pathname.split(".")[1];
            if (isInvalidFileType(extension)) {
                return;
            }
        }
        return s;
    }
    catch (typeError) {
        return;
    }
};
exports.URI = URI;
