import { Color, FontFamily, FontStyle, FontWeight, FontWidth, TextDecoration, TextTransform, TextVerticalAlignment } from "../../primitives";
import { ListItemStyle } from "./list-item-style";
import { TextShadow } from "./text-shadow";
import { TextStrokeStyle } from "./text-stroke-style";
export interface TextStyleBase {
    backgroundColor?: Color | "none";
    fontFamily?: FontFamily | "system";
    fontName?: string;
    fontSize?: number;
    fontStyle?: FontStyle;
    fontWeight?: FontWeight;
    fontWidth?: FontWidth;
    orderedListItem?: ListItemStyle | "none";
    strikethrough?: TextDecoration | boolean;
    stroke?: TextStrokeStyle | "none";
    textColor?: Color;
    textShadow?: TextShadow | "none";
    textTransform?: TextTransform;
    tracking?: number;
    underline?: TextDecoration | boolean;
    unorderedListItems?: ListItemStyle | "none";
    verticalAlignment?: TextVerticalAlignment;
}
